/*
* demo.css
* File include item demo only specific css only
******************************************************************************/

.menu .app-brand.demo {
  height: 64px;
  margin-top: 12px;
}

.app-brand-logo.demo svg {
  width: 22px;
  height: 38px;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.5px;
  text-transform: lowercase;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
/* Detached navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-horizontal):not(.layout-without-menu) .layout-page {
  padding-top: 76px !important;
}
/* Default navbar */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
  display: block !important;
}

.demo-inline-spacing > * {
  margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */
.demo-vertical-spacing > * {
  margin-top: 1rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
  margin-top: 1.875rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-lg.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
  margin-top: 5rem !important;
  margin-bottom: 0 !important;
}
.demo-vertical-spacing-xl.demo-only-element > :first-child {
  margin-top: 0 !important;
}

.rtl-only {
  display: none !important;
  text-align: left !important;
  direction: ltr !important;
}

[dir='rtl'] .rtl-only {
  display: block !important;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  margin-top: 1rem;
}
.layout-demo-placeholder img {
  width: 900px;
}
.layout-demo-info {
  text-align: center;
  margin-top: 1rem;
}
/****************SICA CSS******************/
img.main-logo {
    width: 100px;
    height: auto;
}
.col-2-half {
    flex: 0 0 auto;
    width: 20%;
}
.card-body span.label-bage {
    color: #0fa4dc;
}
.form-label {
    font-weight: bold;
    color: #1d3768;
}
h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1 {
    color: #1d3768;
}
.table th, .table td {
    text-transform: uppercase;
    font-size: 0.75rem;
    letter-spacing: 1px;
    vertical-align: middle;
    text-align: center;
}
img#popupImage {
  width: 38vw;
  height: auto;
}
.close-button {
  position: absolute;
  top: 0px;
  right: 0px;
  cursor: pointer;
  background: #1d3768;
  padding: 0px 0px 0px 6px;
  height: 20px;
  width: 20px;
  border-radius: 20px;
  color: #ffffff;
}

.popup {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  /*border: 1px solid #0fa4dc;
  background-color: #fff;*/
  padding: 9px;
  z-index: 9999;
  width: auto;
  height: 88vh;
  overflow: hidden;
}
.select2-container .select2-selection--single {
  height: 38px !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  color: #697a8d !important;
  line-height: 38px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 26px !important;;
  position: absolute;
  top: 5px;
  right: 1px;
  width: 20px;
}
button.dt-button.buttons-csv.buttons-html5.btn.btn-primary.d-grid.w-100 {
  color: #fff;
  background-color: #0fa4dc;
  border-color: #0fa4dc;
}
a#example_previous, a#example_next {
  color: #0fa4dc !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
  color: #ffffff !important;
  border: 1px solid #0fa4dc !important;
  background: #0fa4dc !important;
}

/* Custom CSS to change pagination button color */
.dataTables_wrapper .dataTables_paginate .paginate_button.current, 
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
    background-color: #1d3768; /* Blue color */
    color: #0fa4dc; /* White text color */
}

.dataTables_wrapper .dataTables_paginate .paginate_button.disabled {
    color: #1d3768; /* Gray text color for disabled buttons */
}
table.dataTable thead th, table.dataTable thead td {
  padding: 10px 18px;
  border: 1px solid #d9dee3;
}
.school-info-data-table thead tr {
  background: #1d3768;
}
.school-info-data-table thead tr th {
  color: white !important;
}
.school-in-data-table-pagenation svg.w-5.h-5 {
  width: 30px;
}
.school-in-data-table-pagenation  .flex.justify-between.flex-1.sm\:hidden {
  display: none;
}
.school-in-data-table-pagenation {
  margin-top:15px !important;
}
.sica-fit-height {
  height: 300px;
  overflow: hidden;
}
.table-responsive {
  overflow-y: hidden;
}
.bg-gradient-primary {
  background: #0fa4dc;
  padding: 14px;
}
.bg-gradient-primary h4 {
  color: #ffffff;
  padding-top: 10px;
}
.card.image-card-wrapper {
  height: 300px;
  width: 100%;
  overflow: hidden;
}
 /* Loader styles */
 .loader {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(255, 255, 255, 0.8);
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  z-index: 9999;
}

/* Background blur effect */
.blur-background {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  /* Adjust the alpha value for the desired level of blur */
  backdrop-filter: blur(5px);
  /* Adjust the blur radius as needed */
  z-index: 9998;
  /* Ensure the blur effect is behind the loader */
}

.gallery {
  margin: auto;
  max-width: 1200px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  padding: 10px;
}

.gallery-item {
  flex: 1 1 calc(33% - 20px);
  overflow: hidden;
  cursor: pointer;
  transition: transform 0.3s;
  border-radius: 10px;
}

.gallery-item img {
  width: 100%;
  height: 300px;
  display: block;
  object-fit: cover;
  opacity: 0.6;
}

.gallery-item:hover {
  transform: scale(1.02);
}

.gallery-item:hover img {
  opacity: 1;
}

.modal {
  display: none;
  position: fixed;
  z-index: 10000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.8);
}

.modal-content {
  display: flex;
  margin: 10% auto;
  padding: 20px;
  background: #fff;
  max-width: 70%;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
  border-radius: 10px;
}


.modal-left img {
  max-width: 100%;
  height: auto;
  float: left;
  border-radius: 10px;
}
.modal .modal-content .modal-left {
    width: 100%;
}
.modal-right {
  margin-left: 20px;
  padding: 0 2em;
  width: 40%;
}

.modal-right p {
  margin: 0;
}

.close {
  position: absolute;
  top: 15px;
  right: 30px;
  font-size: 40px;
  font-weight: bold;
  color: white;
  cursor: pointer;
}

.nav-btn {
  background-color: #333;
  color: #fff;
  border: none;
  padding: 10px 20px;
  margin-top: 20px;
  cursor: pointer;
  border-radius: 5px;
}

.nav-btn:hover {
  background-color: #555;
}

@media (max-width: 768px) {
  .gallery-item {
      flex: 1 1 calc(50% - 20px);
  }

  .modal-content {
      flex-direction: column;
  }

  .modal-right {
      margin-left: 0;
      margin-top: 20px;
      width: 80%;
      padding: 0;
  }

  .nav-btn {
      margin-top: 10px;
  }
}

@media (max-width: 480px) {
  .gallery-item {
      flex: 1 1 100%;
  }
}
.gallery-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}

.pagination-container {
  margin-top: 20px;
  text-align: center;
}

.modal-content {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.modal-left {
  flex: 1;
  margin-right: 20px;
}

.modal-right {
  flex: 1;
}

.modal-left img {
  max-width: 100%;
  height: auto;
}

.nav-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  border: none;
  padding: 10px 15px;
  cursor: pointer;
}

.prev {
  left: 20px;
}

.next {
  right: 20px;
}
.table-responsive svg {
    width: 25px;
}
.pagination-container .flex.justify-between.flex-1.sm\:hidden {
    display: none;
}
.sica2-icon img {
    width:25px; 
    height: auto;
}
.sica2-icon {
  position: absolute;
  right: 26px;
  top: -20px;
  background-color: #a9d3e3 !important;
}
.dashbord-2 .label-bage {
    color: #0fa4dc;
    font-size: 24px;
    font-weight: bold;
}
.dashbord-2 .card-body {
    border-radius: 10px;
    background-color: #ebeef0;
    /*box-shadow: 0px 0px 8px 0px #0fa4dc;*/
}
.bg-info-light {
  box-shadow: 0 0 0.375rem 0.25rem rgba(161, 172, 184, 0.15);
  background-color: rgba(255, 255, 255, 0.95) !important;
}
.bg-primary-light {
  background-color: #ffab00 !important;
}
.gallary-section-heading {
    background: #1d3768;
    padding: 10px;
    color: #ffffff;
}